%define name    daq
%define version 0.6.2
%define release %mkrel 2
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Data Acquisition library, for packet I/O
License:    GPLv2+
Group:      Networking/Other
URL:        http://www.snort.org/
Source:     http://www.snort.org/downloads/%{name}-%{version}.tar.gz
BuildRequires:	pcap-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:	netfilter_queue-devel
BuildRequires:	dnet-devel
BuildRequires:	iptables-ipq-devel
BuildRequires:	iptables-devel

%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n     %{libname}
Summary:        Main library for daq
Group:          System/Libraries

%description -n %{libname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package modules
Summary:        Bundled DAQ modules
Group:          System/Libraries

%description modules
Contains the DAQ modules that come bundled with the base LibDAQ distribution.

%package -n %{develname}
Summary:        Header files for the dssl library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:  openssl-devel
Requires:  libpcap-devel
Requires:  zlib-devel

%description -n %{develname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%prep
%setup -q 

%build
%configure2_5x --disable-ipfw-module
%make

%install
%makeinstall_std

# Remove the .la files
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/daq/*.la

%files modules
%{_libdir}/daq

%files -n %{libname}
%doc README
%{_libdir}/libdaq.so.%{major}*
%{_libdir}/libsfbpf.so.%{major}*

%files  -n %{develname}
%{_bindir}/daq-modules-config
%{_includedir}/daq.h
%{_includedir}/daq_api.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf.h
%{_includedir}/sfbpf_dlt.h
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libsfbpf.so
%{_libdir}/libdaq.so
%{_libdir}/libdaq.a


%changelog

* Tue Jan 24 2012 guillomovitch <guillomovitch> 0.6.2-2.mga2
+ Revision: 200563
- spec cleanup
- drop all .la files
- own %%{_libdir}/daq directory

* Fri Oct 07 2011 dlucio <dlucio> 0.6.2-1.mga2
+ Revision: 152822
- 0.6.2
- 0.6.1
- 0.6.1
- Say hello to Mageia
- rebuild
- imported package daq


* Wed Dec 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.5-1mdv2011.0
+ Revision: 623831
- 0.5

* Thu Dec 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.4-1mdv2011.0
+ Revision: 604664
- 0.4

* Tue Nov 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.3-1mdv2011.0
+ Revision: 591751
- 0.3

* Wed Oct 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.2-2mdv2011.0
+ Revision: 583444
- fix the compilation, thanx to Michale Altizer

* Wed Oct 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.2-1mdv2011.0
+ Revision: 583142
- import daq

